Bug 216402 - connection to WPA network almost always times out
connection to WPA network almost always times out
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Dan Williams
Depends On:
  Show dependency treegraph
Reported: 2006-11-20 04:16 EST by Andrew Baumann
Modified: 2008-05-06 12:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 12:52:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to increase the hardcoded timeouts for association and reconnection (862 bytes, patch)
2006-11-20 04:16 EST, Andrew Baumann
no flags Details | Diff

  None (edit)
Description Andrew Baumann 2006-11-20 04:16:13 EST
When connecting to my home network that uses WPA-PSK authentication, 
NetworkManager almost always times out (around 9/10 attempts) before the 
connection succeeds. This causes the applet to prompt me for the key again and 
the whole process repeats, resulting in another timeout. Needless to say, it's 
rather frustrating. Also, the behaviour of the GUI applet when the connection 
times out is not helpful (unless I knew better, I would think I had the wrong 
network key).

The attached patch increases the timeout for the initial connection from 20s 
to 40s, and for any reconnection from 8s to 30s, and works well for me. 
However, I would suggest that these parameters could best be set in a 
configuration file. In any case, the current values are too low.

I'm currently using version 0.6.4-5.fc6, but the problem has been present 
since at least 0.6.2-2.fc5.
Comment 1 Andrew Baumann 2006-11-20 04:16:14 EST
Created attachment 141628 [details]
Patch to increase the hardcoded timeouts for association and reconnection
Comment 2 Adam Huffman 2006-12-26 19:38:39 EST
I may try this patch as I'm seeing very similar symptoms - there's no explicit
indication of a timeout in the logs, just this:

Activation (eth1/wireless): disconnected during association, asking for new key. 

and I get the WPA key prompt again.  After several attempts, the connection works.

The relevant key is stored in gnome-keyring.
Comment 3 Bug Zapper 2008-04-04 00:48:15 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 12:52:23 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.